#ifndef __INTRMAN_H__
#define __INTRMAN_H__

#define INTRMAN_VER	0x102

void	RegisterIntrHandler(int interrupt, int, int (*intrh)(void*), void*);
						//4 (13,18)
void	ReleaseIntrHandler(int interrupt);	//5 (18)
void	EnableIntr(int interrupt);		//6 (13,18)
void	DisableIntr(int interrupt);		//7 (18)
void	CpuEnableIntr();			//9 (18,21,26)
void	CpuSuspendIntr(int*);			//17(05,06,13,18,26)
void	CpuResumeIntr(int);			//18(05,06,13,18,26)
int	QueryIntrContext();			//23(13)

#endif//__INTRMAN_H__